Package: org.apache.groovy.util.concurrent

## [Java] Enum ConcurrentReferenceHashMap.Option

- org.apache.groovy.util.concurrent.ConcurrentReferenceHashMap.Option

-     public static enum ConcurrentReferenceHashMap.Option

  Behavior-changing configuration options for the map

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `IDENTITY_COMPARISONS` | Indicates that referential-equality (== instead of .equals()) should be used when locating keys.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ConcurrentReferenceHashMap.Option IDENTITY_COMPARISONS

      Indicates that referential-equality (== instead of .equals()) should be used when locating keys. This offers similar behavior to IdentityHashMap